<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<script src="../src/html/raven.min.js" ></script>
	<link rel="stylesheet" type="text/css" href="../src/node_modules/kaitek.km/dist/km.min.css"/>
	<script src="../src/node_modules/kaitek.km/dist/km.js"></script>
	<link rel="stylesheet" type="text/css" href="../src/html/sweetalertx.css"/>
</head>
<body>
	<div class="sweet-overlayx" id="msg-overlay" tabindex="-1" ></div>
	<div class="sweet-alertx show-input showSweetAlert" id="msg-dcs" data-custom-class="" data-has-cancel-button="true" data-has-confirm-button="true" data-allow-outside-click="false" data-has-done-function="true" data-animation="pop" data-timer="null" style="display: none; margin-top: -140px;">
		<div class="sa-icon sa-error" style="display: none;">
			<span class="sa-x-mark">
			  	<span class="sa-line sa-left"></span>
			  	<span class="sa-line sa-right"></span>
			</span>
		</div>
		<div class="sa-icon sa-warning" style="display: none;">
			<span class="sa-body"></span>
			<span class="sa-dot"></span>
		</div>
		<div class="sa-icon sa-info" style="display: none;"></div>
		<div class="sa-icon sa-success" style="display: none;">
			<span class="sa-line sa-tip"></span>
			<span class="sa-line sa-long"></span>
			<div class="sa-placeholder"></div>
			<div class="sa-fix"></div>
		</div>
		<div class="sa-icon sa-custom" style="display: none;"></div>
		<h2 class="msg-dcs-title">Kasa Barkodu Okutunuz</h2>
		<p class="msg-dcs-info" id="msg-dcs-info"></p>
		<fieldset>
			<input type="text" tabindex="3" id="msg-dcs-input" placeholder="Kasa Etiket Barkod Bilgisi">
			<div class="sa-input-error"></div>
		</fieldset>
		<div class="sa-error-container">
			<div class="icon">!</div>
			<p>Not valid!</p>
		</div>
		<div class="sa-button-container">
			<button class="cancel" id="msg-dcs-btncancel" tabindex="2" style="display: inline-block;">VAZGEÇ</button>
			<div class="sa-confirm-button-container">
				<button class="confirm" id="msg-dcs-btnok" tabindex="1" style="display: inline-block; background-color: rgb(174, 222, 244); box-shadow: rgba(174, 222, 244, 0.8) 0px 0px 2px, rgba(0, 0, 0, 0.05) 0px 0px 0px 1px inset;">TAMAM</button>
				<div class="la-ball-fall">
					<div></div>
					<div></div>
					<div></div>
				</div>
			</div>
		</div>
	</div>
	<script>
		Raven.config('http://cec6687ea4e94d29a0262e51aceb2c1b@sentry.kaitek.com.tr/11').install();
		var initMyApp=function(){
			var script = document.createElement('script');
			script.src = (document.baseURI?document.baseURI:'')+'socket.io/socket.io.js';
			var first = document.getElementsByTagName('script')[0];
			first.parentNode.insertBefore(script, first);
			window.d = {};
			function init(){
				if(typeof io=='undefined'){
					window.setTimeout(init, 100);
				}else{
					d.socket = io(document.baseURI);
					d.socket.on('cn_js_dcsclient', function(arg) {
						if(arg.event=="init"){
							window.app = new km.app({screensize:arg.screensize});
							app.DCSClient=new km.dcsclient.mainscreen({
								parent:app
								,ipc:d.socket
								,config_json:arg.config_json
								,cfg:arg.cfg
								,params:arg.params
								,screensize:arg.screensize
								,pins:arg.pins
								,versionApp:arg.versionApp
								,ip:arg.ip
								,is_kanban_exists:arg.is_kanban_exists
								,isDevMachine:arg.isDevMachine
								,version_node:arg.version_node});
							app.DCSClient.on("js_cn_workflow",function(obj){
								d.socket.emit('js_cn_workflow',obj);
							});
							app.DCSClient.on("js_cn_dcsclient",function(obj){
								d.socket.emit("js_cn_dcsclient",obj);
							});
						}
					});
					d.socket.on('cn_js_dcsclient',function(arg){
						if(typeof window.app!=='undefined'){
							app.DCSClient.trigger("cn_js_dcsclient",arg);
						}
					});
					d.socket.on('cn_js_workflow',function(arg){
						if(typeof window.app!=='undefined'){
							app.DCSClient.trigger("cn_js_workflow",arg);
						}
					});
					
					window.onbeforeunload = function(event){
						d.socket.emit('js_cn_dcsclient',{event:"disconnect"});
					};
					
					d.socket.on("cn_js_watch",function(obj){
						
					});
					d.socket.on('connecting', function () {
					});
					
					d.socket.on('connect', function(s){
						d.socket.emit('js_cn_dcsclient',{event:"init"});
					});
					
					d.socket.on('reconnecting', function () {
					});
					
					d.socket.on('reconnect', function () {
					});
					
					d.socket.on('reconnect_failed', function () {
					});
					
					d.socket.on('disconnect', function (data) {
						//app.watch.trigger("cn_js_watch",{event:"disconnect",data:data});
					});
					
					d.socket.on('sendqueuechange',function(len){
						
					});
					window.onbeforeunload = function(event){
						if(d && d.socket)
							d.socket.disconnect();
					};
				}
			};
			init();
			var btn_cancel=document.getElementById('msg-dcs-btncancel');
			btn_cancel.onclick = function(){
				if(app.DCSClient.win_device&&app.DCSClient.win_device.win_startWork_tasklist){
					app.DCSClient.win_device.win_startWork_tasklist.eventListener({event:'btnclick',button:'cancel'});
				}
			};
			var input_barcode=document.getElementById('msg-dcs-input');
			input_barcode.onkeypress = function(e){
				if (e.keyCode == 13) {
					e.preventDefault();
					e.stopPropagation();
					btn_ok.onclick();
				}
			};
			var btn_ok=document.getElementById('msg-dcs-btnok');
			btn_ok.onclick = function(){
				if(app.DCSClient.win_device&&app.DCSClient.win_device.win_startWork_tasklist){
					app.DCSClient.win_device.win_startWork_tasklist.eventListener({event:'btnclick',button:'ok',data:input_barcode.value});
				}
			};
		}
		Raven.context(function () {
			initMyApp();
		});
	</script>
</body>
</html>
